### Method

# ECal Component set_rdates

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_rdates (
      ECalComponent* comp,
      const GSList* rdate_list
    )

#### Description [src]

Sets the list of recurrence dates in a calendar component object.

Available since: 3.34

#### Parameters

`rdate_list`

  Type: A list of `None`

  List of `ECalComponentPeriod` structures, or `NULL` to set none.

  The argument can be `NULL`.
  The data is owned by the caller of the method.